fail() {
   echo "failed to process $f, exiting"
   rm "$wav"
   exit 1
}
for f in ./*.flac
do
   wav="$(basename "$f" .flac).wav"
   flac -s -d "$f"
   if (( $? )); then fail; fi
   lame --quiet -V0 "$wav"
   if (( $? )); then fail; fi
   echo "$f success"
   rm "$f" "$wav"
done
